
Redmine - Patch #39865

extend mysql8? test helper to handle complex version strings

2023-12-18 07:19 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 5.1.2   

Description

In my MariaDB 11 docker image, Redmine::Database.mysql_version is 11.1.2-MariaDB-1:11.1.2+maria~ubu2204, which leads to an

error in Gem::Version.new. The attached patch attempts to clean up the version string into the expected major.minor.patch format.

Associated revisions

Revision 22542 - 2023-12-22 01:06 - Go MAEDA

Extends mysql8? test helper to handle more complex version strings (#39865).

Patch by Jens Krämer.

Revision 22543 - 2023-12-22 01:07 - Go MAEDA

Merged r22542 from trunk to 5.1-stable (#39865).

History

#1 - 2023-12-19 09:36 - Go MAEDA

- Target version set to 5.1.2

Setting the target version to 5.1.2.

#2 - 2023-12-22 01:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r22542. Thank you.

Files

0001-extends-mysql8-test-helper-to-handle-more-complex-ve.patch 930 Bytes 2023-12-18 Jens Krämer

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/22542
http://www.tcpdf.org

